Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class WASAuthenticationMethodMD

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.WASAuthenticationMethodMD

    public class WASAuthenticationMethodMD

extends Object

Encapsulated data: WASAuthenticationMethodMD element Namespace: http://www.gdi-nrw.de/authentication

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`WASAuthenticationMethodMD(String name, URL url, ArrayList<URN> authenticationMethods)`

Method Summary
`ArrayList<URN>` | `getAuthenticationMethods()`
`String` | `getName()`
`URL` | `getUrl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WASAuthenticationMethodMD

    public WASAuthenticationMethodMD(String name,
                                     URL url,
                                     ArrayList<URN> authenticationMethods)

Parameters:
  `name` -
  `url` -
  `authenticationMethods` -

Method Detail

### getAuthenticationMethods

    public ArrayList<URN> getAuthenticationMethods()

  Returns:
    Returns the authenticationMethods.

### getName

    public String getName()

  Returns:
    Returns the name.

### getUrl

    public URL getUrl()

  Returns:
    Returns the url.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org